
{System/conversion/conversion_progress.i}

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR iModulo                       AS INTEGER   NO-UNDO.
DEF VAR iSeqnr                        AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF dp-quayjob.

DEFINE BUFFER b-dp-quayjob FOR dp-quayjob.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "ind_inactive"
  cTable   = "dp-quayjob"
  iTotal   = 0
  iDone    = 0
  iModulo  = 0
  .

FOR EACH sp-company NO-LOCK:

  FOR EACH b-dp-quayjob WHERE
           b-dp-quayjob.companycode = sp-company.companycode
           EXCLUSIVE-LOCK TRANSACTION :
    IF b-dp-quayjob.statuscode = "OPEN" OR b-dp-quayjob.statuscode = "REQUEST"
    THEN ASSIGN b-dp-quayjob.ind_inactive = FALSE.
    ELSE ASSIGN b-dp-quayjob.ind_inactive = TRUE.

    iDone = iDone + 1
    .
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
END.

iTotal = iDone.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



