DEF VAR sp-companycode AS CHAR NO-UNDO.
DEF VAR iDel           AS INT  NO-UNDO.
DEF VAR iRed           AS INT  NO-UNDO.
DEF VAR iDelf          AS INT  NO-UNDO.
DEF VAR iRedf          AS INT  NO-UNDO.

sp-companycode = "ROW".

FOR EACH dp-delivery WHERE 
         dp-delivery.companycode = sp-companycode AND
         dp-delivery.copino_id   <> ""
  EXCLUSIVE-LOCK:
  iDel = iDel + 1.
  FIND dp-lessee WHERE
       dp-lessee.companycode    = sp-companycode AND
       dp-lessee.cust_addressnr = dp-delivery.cust_addressnr AND
       dp-lessee.lesseecode     = dp-delivery.copino_id
       NO-LOCK NO-ERROR.
  IF AVAIL dp-lessee
  THEN DO:
    ASSIGN dp-delivery.lesseenr = dp-lessee.lesseenr.
    iDelf = iDelf + 1.
  END.
END.
MESSAGE "Delivery   : " + STRING(iDelf) + "/" + STRING(iDel).
